#include <freetype/freetype.h>
#include <freetype/ftglyph.h>

typedef struct
{
	FT_Library  		library;
	int							error;
	FT_Face     		face;
	FT_GlyphSlot  	slot;  /* a small shortcut */
	FT_Glyph				glyph;
	FT_BBox  				bbox;	
	FT_UInt  				glyph_index;
	FT_UInt  				prev_glyph_index;
	FT_Vector  			delta;
	FT_BitmapGlyph 	bitmap;
	int           	pen_x, pen_y;
} typeutil;

typeutil		*new_typeutil();
void 				free_font(typeutil *t);
void 				set_font(typeutil *t, char *filename);
void 				set_font_point_size(typeutil *t, int points);
void				render_char(typeutil *t, char c);

